Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Attribute auslesen/definieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Attribute auslesen/definieren (564 mal gelesen)
Danillo
Mitglied
Bauingenieur


Sehen Sie sich das Profil von Danillo an!   Senden Sie eine Private Message an Danillo  Schreiben Sie einen Gästebucheintrag für Danillo

Beiträge: 216
Registriert: 12.11.2003

Windows 7 - AutoCAD 2015

erstellt am: 22. Apr. 2013 00:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,
wollte nachfragen, ob es mit VL-... nicht eine elegante Variante gibt, Attribute von einem Block auszulesen bzw. durch neue Werte zu ersetzen? Im Forum habe ich eigentlich nur die althergebrachte Methode gefunden, sich mit entnext durch die Datenlisten zu bewegen, bis der entsprechende Wert gefunden ist.

Danke und Grüße
Daniel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 22. Apr. 2013 06:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Danillo 10 Unities + Antwort hilfreich

Hallo Daniel,
folgendermaßen könntest Du verfahren:
Code:

(defun c:AttList( / A OBJ VLA-OBJ)
  (if (setq obj(car (entsel "\nBlock mit Attributen:")))
    (if (and (setq vla-obj (vlax-ename->vla-object obj))
            (=(vla-get-ObjectName vla-obj)"AcDbBlockReference")
            (=(vla-get-hasattributes vla-obj):vlax-true))
      (mapcar 'vlax-vla-object->ename
        (vlax-safearray->list (vlax-variant-value
                                (vla-getattributes vla-obj))))))
  )

Falls Du als Rückgabe VLA-Objekte anstelle von Entity-Names haben willst läßt Du die Funktion "(mapcar 'vlax-vla-object->ename ..." weg.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz